<?php
/* $Id: encrypt.php,v 1.12 2014/09/04 08:44:17 rp Exp $
 * PDFlib PLOP: PDF Linearization, Optimization, Protection
 * encryption sample in PHP
 */
/* parameters for the input document */
$in_filename = "PLOP-datasheet.pdf";
$in_password = "";

/* parameters for the output document */
$out_filename = "";
$out_master = "DEMO";
$out_user = "demo";
$permissions = "";

/* This is where input files live. Adjust as necessary. */
$searchpath = "../data ../../data";


try {
    $optlist = "";

    /* create a new PLOP object */
    $plop = new PLOP();

    $optlist = sprintf("searchpath={%s}", $searchpath);
    $plop->set_option($optlist);

    /* open unprotected input file without any password */
    $optlist = sprintf("password {%s} ", $in_password);
    if (!($doc = $plop->open_document($in_filename, $optlist))) {
	die("Error: " . $plop->get_errmsg());
    }

    /* create the output file with a password */
    $optlist = sprintf("masterpassword {%s} userpassword {%s} permissions {%s} input=%d", $out_master, $out_user, $permissions, $doc);
    if (!$plop->create_document($out_filename, $optlist)) {
	die("Error: " . $plop->get_errmsg());
    }

    $buf = $plop->get_buffer();
    $len = strlen($buf);

    header("Content-type: application/pdf");
    header("Content-Length: $len");
    header("Content-Disposition: inline; filename=encrypt.pdf");
    print $buf;

    /* close input and output files */
    $plop->close_document($doc, "");


}
catch (PLOPException $e) {
    die("PLOP exception occurred in encrypt sample:\n" .
	"[" . $e->get_errnum() . "] " . $e->get_apiname() . ": " .
	$e->get_errmsg() . "\n");
    }
catch (Exception $e) {
    die($e);
}

$plop = 0;
